Foxit PDF SDK

Public Member Functions | List of all members
foxit.addon.pdf3d.PDF3DContext Class Reference
Inheritance diagram for foxit.addon.pdf3d.PDF3DContext:

## Public Member Functions
| PDF3DContext (PDFDoc doc)
| Constructor, with a PDF document object.
| PDF3DContext (PDF3DContext other)
| Constructor, with another 3d context object. More...
PDF3DAnnot | Add3DAnnot (string threeD_file_path, int page_index, RectF rectf, global::System.IntPtr screen_canvas_parent, PDF3DLaunchSetting launch_setting, PDF3DAdvancedSetting advanced_setting)
| Add a 3D annotation to the PDF page. More...
PDF3DAnnot | Add3DAnnot (FileReaderCallback threeD_file_read, int page_index, RectF rectf, global::System.IntPtr screen_canvas_parent, PDF3DLaunchSetting launch_setting, PDF3DAdvancedSetting advanced_setting)
| Add a 3D annotation to the PDF page. More...
PDF3DAnnotArray | GetPage3DAnnotArray (int page_index)
| Get 3d annot objects array by page index. More...
void | Invalidate ()
| Refresh 3D Objects. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...

## Detailed Description

This class represents a 3D PDF context. Before using any class or methods in this module, please ensure Foxit PDF SDK has been initialized successfully by function common.Library.Initialize with a key including "3D" module.
Currently, 3D module only supports Windows.

See also
  foxit.common.Library

## Constructor & Destructor Documentation

## ◆ PDF3DContext()

foxit.addon.pdf3d.PDF3DContext.PDF3DContext | ( | PDF3DContext | other | ) |
| inline

Constructor, with another 3d context object.

Parameters

  [in] | other | Another 3d context object.

## Member Function Documentation

## ◆ Add3DAnnot() [1/2]

PDF3DAnnot foxit.addon.pdf3d.PDF3DContext.Add3DAnnot | ( | string | threeD_file_path,
|  | int | page_index,
|  | RectF | rectf,
|  | global::System.IntPtr | screen_canvas_parent,
|  | PDF3DLaunchSetting | launch_setting,
|  | PDF3DAdvancedSetting | advanced_setting
| ) |  |
| inline

Add a 3D annotation to the PDF page.

Parameters

  [in] | threeD_file_path | The file path of 3D file. Currently, it supports u3d and prc.
  [in] | page_index | The index of the page to which the 3D annotation is added. Valid range: from 0 to (page_count-1).
  [in] | rectf | The rectangle of new 3d annotation in [PDF coordinate system].
  [in] | screen_canvas_parent | The screen canvas parent handle.
  [in] | launch_setting | The 3D launch setting.
  [in] | advanced_setting | The 3D advanced setting.

Returns
  The added 3D annotation object.

## ◆ Add3DAnnot() [2/2]

PDF3DAnnot foxit.addon.pdf3d.PDF3DContext.Add3DAnnot | ( | FileReaderCallback | threeD_file_read,
|  | int | page_index,
|  | RectF | rectf,
|  | global::System.IntPtr | screen_canvas_parent,
|  | PDF3DLaunchSetting | launch_setting,
|  | PDF3DAdvancedSetting | advanced_setting
| ) |  |
| inline

Add a 3D annotation to the PDF page.

Parameters

  [in] | threeD_file_read | The file reader callback of 3D file. Currently, it supports u3d and prc. Please refer to foxit.common.fxcrt.FileReaderCallback for details.
  [in] | page_index | The index of the page to which the 3D annotation is added. Valid range: from 0 to (page_count-1).
  [in] | rectf | The rectangle of new 3d annotation in [PDF coordinate system].
  [in] | screen_canvas_parent | The screen canvas parent handle.
  [in] | launch_setting | The 3D launch setting.
  [in] | advanced_setting | The 3D advanced setting.

Returns
  The added 3D annotation object.

## ◆ GetPage3DAnnotArray()

PDF3DAnnotArray foxit.addon.pdf3d.PDF3DContext.GetPage3DAnnotArray | ( | int | page_index | ) |
| inline

Get 3d annot objects array by page index.

Parameters

  [in] | page_index | Page index. Valid range: from 0 to (page_count-1). page_count is returned by function pdf.PDFDoc.GetPageCount .

Returns
  3d annot objects array.

## ◆ Invalidate()

void foxit.addon.pdf3d.PDF3DContext.Invalidate | ( |  | ) |
| inline

Refresh 3D Objects.

To dynamically display 3D effects, it is necessary to modify the interface based on loop calls.

Returns
  None.

## ◆ IsEmpty()

bool foxit.addon.pdf3d.PDF3DContext.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.